Subject: Re: bug#7336: Failure on test parallel-tests5.test

From: Ralf Wildenhues <[email-masked]>
Date: Sat, 6 Nov 2010 17:44:19 +0100

* Lluís Batlle i Rossell wrote on Fri, Nov 05, 2010 at 01:36:28PM CET:
> On Mon, Nov 01, 2010 at 07:41:12PM +0100, Lluís Batlle i Rossell wrote:
> > On Mon, Nov 01, 2010 at 07:07:48PM +0100, Ralf Wildenhues wrote:
> > > [ http://thread.gmane.org/gmane.comp.sysutils.automake.bugs/5061 ]

> > Ralf says that something changed about syscall restarting in linux 2.6.36, so it
> > can be a problem in linux. I hope he will investigate that and keep all of us
> > aware. I'll try linux 2.6.35 meanwhile.
> 
> Fixed! Ralf and Al Viro found the kernel problem, made evident in the release
> 2.6.36 for mips only. Fixed here:
> http://git.linux-mips.org/?p=linux.git;a=commit;h=915bcf007cbf9370fa0f3a57b27cf7fdc45b3964
> 
> I reported to automake because it was the very only part of the system failing.

Thanks for reporting and having this tracked down, I'm closing the Automake bug.

Cheers,
Ralf